function [X,G,eps_g, conf , g] = CRN(filename, alfa)
% metoda Sled společných náhodných čísel (Common random number
% streams)
%% nahrání dat z excelu
%optimální řešení
x(:,1) = readmatrix(filename,'Sheet','xn','Range','A2:AX2');
%optimální hodnota účelové funkce
v(:,1) = readmatrix(filename,'Sheet','nn','Range','A2:AX2');
%horní odhad
u(:,1) = readmatrix(filename,'Sheet','u','Range','A2:AX2');

nl=length(x); %počet opakování úlohy
%% spočítání výberových průměrů proměnných (tj. x se stříškou)
X= mean(x);

%% spočítání G
for j=1:nl
g(j,1)= u(j)-v(j); %dosazení výběrového průměru vektoru X
end
G=mean(g);   % výběrový průměr
%chyba
Sg2=var(g) ;  %výběrový rozptyl
if(strcmp(filename,'results_20.xls'))
t = tinv(1-alfa,nl-1); %Studentovo rozdělení
else
t = norminv(1-alfa);    %N(0,1)
end
eps_g = t*sqrt(Sg2)/sqrt(nl);

%% interval spolehlivosti
conf=G+eps_g;

fprintf('%s bylo zpracováno pomocí CRN\n',filename );
end